Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 21 Nov 2014, 06:43
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
nettoyer les fichiers inutiles (librairies ou autres)
Moderators: Béèm, darkerror05
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [19 Posts]   Goto page: 1, 2 Next
Author Message
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Sun 28 Oct 2012, 12:08    Post subject:  nettoyer les fichiers inutiles (librairies ou autres)  

Bonjour !

Alors voilà, depuis que je teste Puppy, il m'est arrivé d'installer grâce au gestionnaire de paquets PPM de tester pas mal de choses.
Or, il arrive, sur certaines Puppies, que finalement le programme souhaité ne fonctionne pas.
Donc, pas grave, je l'enlève dans la case prévue à cet effet, MAIS, des librairies, nombreuses car je ne me suis pas méfié, restent.
Ce n'est pas propre, et aussi mange de la place qui est précieuse.

y a t'il une astuce pour déterminer ce que l'on peut enlever ou pas sans danger ?

J'ai cherché, mais sans succès sur le forum. C'est pour cela que j'ai mis un titre le plus explicite possible pour le prochain utilisateur ! Very Happy

A+

Edit : également, est-il possible de désinstaller des logiciels installés d'origine et dont on ne se serre pas ?
Back to top
View user's profile Send private message 
Pelo


Joined: 10 Sep 2011
Posts: 3312
Location: Mer méditerrannée (1 kms°)

PostPosted: Fri 23 Nov 2012, 21:25    Post subject: Moi aussi je suis interressé
Subject description: Alors pas de retour ?
 

Ben dites donc, ya pas grand monde pour répondre !
Back to top
View user's profile Send private message Yahoo Messenger 
ASRI éducation


Joined: 09 May 2009
Posts: 2580
Location: France

PostPosted: Sat 24 Nov 2012, 06:57    Post subject: Re: nettoyer les fichiers inutiles (librairies ou autres)  

Arefacti wrote:
Bonjour !

Alors voilà, depuis que je teste Puppy, il m'est arrivé d'installer grâce au gestionnaire de paquets PPM de tester pas mal de choses.
Or, il arrive, sur certaines Puppies, que finalement le programme souhaité ne fonctionne pas.
Donc, pas grave, je l'enlève dans la case prévue à cet effet, MAIS, des librairies, nombreuses car je ne me suis pas méfié, restent.
Ce n'est pas propre, et aussi mange de la place qui est précieuse.

y a t'il une astuce pour déterminer ce que l'on peut enlever ou pas sans danger ?

J'ai cherché, mais sans succès sur le forum. C'est pour cela que j'ai mis un titre le plus explicite possible pour le prochain utilisateur ! Very Happy

A+

Edit : également, est-il possible de désinstaller des logiciels installés d'origine et dont on ne se serre pas ?

Actuellement, via le PPM il ne me semble pas possible de supprimer automatiquement les librairies liées à l'installation d'une application. pour supprimer les librairies, il faut donc les supprimer une à une via le PPM (à condition de savoir lesquelles sont liées à l'application que tu souhaites enlever).

Deux autres possibilités :
- tester les applications avec un liveCD et l'option "puppy pfix=ram" au démarrage, cela permet de ne pas toucher à ton fichier de sauvegarde
- créer un fichier de sauvegarde supplémentaire (en le nommant "test"), cela te permettra de tester des instalations sans casser ton fichier de sauvegarde principal

Cordialement,
Back to top
View user's profile Send private message Visit poster's website 
musher0


Joined: 04 Jan 2009
Posts: 4317
Location: Gatineau (Qc), Canada

PostPosted: Sat 24 Nov 2012, 07:41    Post subject:  

L'approche préventive d'ASRI est bien, mais après coup, si on a déjà chargé des trucs, c'est pas tellement utile, ça empêche seulement d'aggraver la situation. (C'est déjà ça !) Smile

Il me semble que le PPM tente d'avertir l'utilisateur de l'existence de biblios (libraries) inutiles quand on enlève un programme. Mais il faut enlever ces biblios "à la main", en les cherchant avec pfind, si ma mémoire est bonne.

Mais sûrement que la question a déjà été posée ailleurs, dans les forums ubuntu ou arch, peut-être ?

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Sat 24 Nov 2012, 10:26    Post subject:  

Bonjour,

j'avais trouvé dans la foison de menus que l'on trouve sous Puppy (c'est un reproche à peine voilé), un petit programme qui permet d'enlever les programmes installé à l'installation (hum, ça sonne pas top, mais en gros c'est ça).
Mais sous macpup 511, que j'ai été obligé de prendre parce que les 528 et 528V2 refusaient de faire marcher ma carte son, je ne le retrouve même plus !

(ça aussi c'est à peine voilé : sous puppy, y'a toujours un truc qui cloche, quand c'est pas ci, c'est ça..tu crois avoir trouvé la bonne et plouf !..là, la macpup 511 fonctionne avec le son MAIS possède un e17 pas francisé et qui n'ouvre pas d'office les programmes quand on clique sur un fichier..et e17, bin c'est pas ce qu'y a de plus simple à configurer d'après moi).
NB : et je ne parle même pas de la 529, mais bon, "ça développe, ça développe"..

voilà, commence à me gonfler le clebs là (lol)
Back to top
View user's profile Send private message 
oui

Joined: 20 May 2005
Posts: 2139
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Sat 24 Nov 2012, 11:28    Post subject:  

bonjour christian

dans Ubuntu, le gestionnaire évolué de paquets de Debian prend en charge totalement le nettoyage! normalement, à moins de l'empêcher avec des paramètres spéciaux, il te nettoie, oh diable, même des choses dont toi, tu considères avoir besoin (par exemple une police de caractères pour les langues des Indes: il est allergique à ça en l'absence du paquet de support des langues indiennes dans son ensemble! ça, par contre, là, alors, il l'accepte et le conserve. Hors une police suffit amplement pour visualiser et même écrire de temps à autre dans une langue!). il faut donc les installer en les marquant spécialement!

mais nous faisons tous une grave erreur en comparant Puppy aux autres distros.

Puppy est un système qui se veut complet de but en blanc. nous l'avons utilisé plusieurs années avant les versions luxueuses à partir de 1.2 sans pouvoir changer quoi que ce soit, même, au début, sans pouvoir mémoriser dans puppy quoi que ce soit (si tu voulais garder un texte, il fallait l'envoyer quelque part sur le web)...

Puis on a commencé à "déconner", et, ce, surtout, à l'époque, à cause de la barrière des 50 Moctets (mini-CD format carte de crédit, oui, pendant 3 ou 5 ans, Puppy tenait dessus, la dernière version est une 3.1 modifiée, White Fang Puppy, relativement récente! juste avant la version de Toutou! Uniquement que la 3. se basait à nouveau 100 % sur Slackware, l'origine de Puppy, mais pas sur la Slackware actuelle! si je me souviens bien, sur la 7.x), sur la Slackware actuelle de l'époque, une Slackware encore très récente... Donc, pour mettre plus et ne pas dépasser les 50 Mo, il fallait compenser en mettant moins ailleurs: par ex. Opera au lieu de Mozilla, ce pour pouvoir mettre Xorg au lieu de Xvesa, etc. Dans White Fang, par ex., ce fut Xorg qui fit les frais de la réduction: White Fang n'a que Xvesa et pas de bureau, mais se loge toujours sur un CD carte de crédit (important pour ceux qui utilisaient Puppy en douce à la pause sur le PC d'entreprise Rolling Eyes alors que les clefs USB étaient encore si rares et chères...)

Normalement, il n'y a rien à rajouter à un Puppy.

Dès la 1.x, nous avons eu des Puppy n'ayant plus le bureau Gnome (encore assez enfantin à l'époque) mais OpenOffice 1.x Wink . Le tout faisait seulement 98 Mo! Dès la Puppy 2.1, il eut une version avec OpenOffice 2.x se substituant à bureau Gnome (Abi + gnumeric) dans je crois 120 Mo. Et une version éducative genre (sans doute / peut-être) il y en a eu une en italien dès le Puppy 1.x dans moins de 100 Mo!!!

Et ces anciens Puppy faisaient (presque) tout ce que font les nouveaux. Ce qui a changé, c'est la détection automatique, et les méthodes de construction de Puppy, ainsi le fait que les bibliothèques soient à jour ou presque, permettant de puiser des logiciels dans d'autres distribution (pas facile initialement alors que la Slackware 7. avait une demi-dizaine d'années d'écart: BK devait adapter des tas de choses pour les mettre à jour! Par exemple quand Mozilla disparu et dut être remplacé par Seamonkey / Firefox / Opera!)

Quand à Toutou, initialement, y-en avait pas grand besoin: Marc (MU, tiens, depuis qu'il a passé son diplôme, on ne le voit plus), je crois, nous avait donné un *.pup traduisant Puppy en 3 ou 4 langues (Marc est allemand, parle bien le français et fut l'un des premiers développeurs développant vraiment de nouveaux puppy's, par ex. les deux puppy's de 9 et 11 Mo permettant de naviguer sur l'internet en mode vraiment graphique, l'un dans Firefox (non, ce n'est pas la fatalité, de peser 150 Moctets pour être un puppy, Marc savait le faire avec 9, puis, avec sensiblement plus de confort, 11 Mo d'ISO)!

Et puis, relativement vite, il y a eu l'inverse avec TeenPup 2.x : Plus de 600 Mo, pratiquement tout le KDE, et tout le bataclan, dans un seul ISO démarrant bien sur des tas d'ordinateurs! Qu'est-ce qui manquait dans ce TeenPup? Logiquement, sans doute rien... Mais TeenPup avait franchi un tabou important: Initialement Puppy se concentrait sur des applications dans la lignée GTK, pour éviter la multiplication des bibliothèques graphiques qui prennent énormément de place, alors qu'elles ont toutes la même vocation uniquement: dessiner des pixels et des traits! Après, on est devenus dépendant de la présence de Qt et autres bibliothèques très encombrantes, etc. ...

Donc on n'avait nulle part le besoin pressant de supprimer des bibliothèques ni de desinstaller, d'autant qu'à l'époque, BK publiait toujours, rarement mais quand même de temps à autre, des «onebone» etc. Là, c'était l'inverse, on n'avait quasi que Puppy et pratiquement aucune application dedans: il fallait tout compléter en rajoutant des paquets (qui furent toujours disponibles dans les dépôts de Puppy jusqu'aux version 4.x).

Les paquets *.pup, puis *.pet, à l'époque, ne rajoutaient que les librairies manquantes dans la version de base, et en désinstallant, on ne désinstallait que les paquets initialement manquants mais rajoutés par le paquet!

Mais comme depuis, les versions de bases ne sont plus dans une seule lignée (jusqu'à la 4.x, c'était quasi une lignée à de rares exceptions près: un progrès technologique constant de toujours la même chose sous la même forme), que certains en plus prennent la liberté de remplacer tel goodie de Puppy par tel autre logiciel leur plaisant mieux dans leur «puppy personnel», décuplant ainsi la présence de bibliothèques faisant double emploi, BK lui-même compris, puisqu'il a remplacé dans plusieurs de ses propres versions Seamonkey par Firefox, et que, précisément là, il y avait de graves problèmes de concordance des bibliothèques, et bien ni les *.PETs ni les *.SFS ne correpondent même plus à aucune version de base mais en priorité à la version que le constructeur du paquet en question avait utilisé lui-même à sa création, et, ça, on le redoit un peu à la ramification des nouvelles versions de Puppy, Puppy, Quirky, Wary, Racy, plus FatDog64 que BK a volontiers embrassé comme enfant adoptif, et dont la mixture ne correspond à aucun Puppy vraiment:

on a de plus en plus de variabilité

et de désordre dans la gestion des extensions...

Salut
Back to top
View user's profile Send private message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Sat 24 Nov 2012, 13:04    Post subject:  

et ?

..après cet historique très instructif et probablement primordial, je tiens à ajouter ma pierre, même si elle est stupide, hors propos etc..

"Il y a plusieurs années" en informatique ça veut dire il y a des siècles !
donc, partant de cela, et des clés usb de 32 Go (celle que je possède par exemple), il y a moins besoin de s'en faire pour la taille du toutou, même s'il se doit tout de même rester agile et svelte.
Re-donc : pourquoi trouve-t'on des menus remplis de trucs dont on n'a pas besoin (ou qui ne fonctionne pas : genre un raccourci vers..rien) MAIS qu'on ne trouve pas des locales Fr ?

Bah..c'est pô grave ! Wink
Back to top
View user's profile Send private message 
ASRI éducation


Joined: 09 May 2009
Posts: 2580
Location: France

PostPosted: Sat 24 Nov 2012, 13:19    Post subject:  

Arefacti wrote:
Re-donc : pourquoi trouve-t'on des menus remplis de trucs dont on n'a pas besoin (ou qui ne fonctionne pas : genre un raccourci vers..rien) MAIS qu'on ne trouve pas des locales Fr ?

Pour ce qui est des menus remplis de trucs, je ne te comprends pas.
Puppy/Toutou est une distribution complète, elle offre donc de nombreuses applications utiles pour les utilisateurs.
Les utilisateurs n'ayant pas des besoins identiques, il est normal que des applications "inutiles" pour toi soient également indispensables pour d'autres.
Afin de s'adapter à tous les utilisateurs, des utilitaires sont proposés avec Puppy/Toutou pour personnaliser le menu et supprimer les entrées qui te semblent inutiles.


Pour ce qui est des locales fr et de Toutou Linux 431, elles existent (en partie) via des fichiers .mo.
Il faudra attendre la prochaine version de Toutou pour constater que ces locales se sont multipliées.

Cordialement,
Back to top
View user's profile Send private message Visit poster's website 
oui

Joined: 20 May 2005
Posts: 2139
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Sat 24 Nov 2012, 13:37    Post subject:  

rebonjour

Arefacti wrote:
partant de cela, et des clés usb de 32 Go (celle que je possède par exemple), il y a moins besoin de s'en faire pour la taille du toutou, même s'il se doit tout de même rester agile et svelte.
Re-donc : pourquoi trouve-t'on des menus remplis de trucs dont on n'a pas besoin (ou qui ne fonctionne pas : genre un raccourci vers..rien) MAIS qu'on ne trouve pas des locales Fr


tu négliges un détail, mais majeur ce détail:

puppy n'est pas DU TOUT un Linux comme les autres. il est fait pour fonctionner en RAM et il a fonctionné sur des ordis qui n'avaient que 64 Mo de RAM, puis 128 Mo etc.

et comme c'est une distro non-installée, il est horriblement difficile de la laisser demeurer accessible aux vieux ordis, ceux pour lesquels elle est construite et satisfaire aux espoirs de ceux qui ont des machines surpuissantes aptes à compiler tout un gros linux complet en quelques heures!

malheureusement, les ordis ont été construits en dépit du bon sens Rolling Eyes

ce n'est pas un pseudo disque dur USB de 32 Go coûtant (en Allemagne, chez vous, je ne sais pas) 18 Euro adapteur compris mais un RAM se basant sur les cartes USB miniatures, et pouvant donc aller jusqu'à 32 Go qu'il nous faudrait! on serait considérablement plus loin, à dépenses égales! mais ce n'est pas le cas:

    le RAM reste cher
    l'extension de toute manière problématique en l'absence du système d'exploitation approprié!


si avait tant de RAM, on pourrait comprimer des systèmes de fichiers allant jusqu'à 10 Go (il faut environ 3 fois la taille du système pour ne pas produire un "kernel panic") c'est à dire un Puppy de la taille d'un Debian en pleine installation et presque plein à craquer Laughing .

et comme la faculté de mémoire des cartes USB n'est pas volatile, il pourrait rester à demeure dans le RAM Rolling Eyes

ça non plus, tu ne peux pas l'avoir à l'époque actuelle.

la mémoire USB de 32 Go, au fait, n'est pas volatile, mais horriblement lente... au moins quand elle ne coûte que 18 Euro Wink .

donc Puppy doit se confiner dans une certaine zone de mémoire RAM pour être utilisable par (presque) tous en raison du RAM, quel que soit le prix auquel on brade de la mémoire USB!

les raccourcis qui ne mènent à rien ne sont souvent que le fruit d'erreurs de manips (j'en ai produit moi-même aussi dans mes remasteurisations Embarassed : on lie un lien et non le binaire ou le script lui-même, et pof, le nouveau lien n'est pas actif! par contre, la preuve de la malchance ou bévue reste au menu!)

les locales Fr? jusqu'à la 4.x, puppy n'était qu'anglophone!

on ne peut toujours pas sélectionner "us_intl" = int(ernationa)l ou au moins "us_accentos" qui, lui, est aussi actif en console non graphique, mais n'inclut que les principaux signes pour le français (idem pour les langues hispaniques, bien que son nom laissent penser que ...), mais pas tous, pour pouvoir écrire en français avec le clavier us, et ce, je crois, dans aucune francisation de puppy (ce pourquoi je n'en ai utilisé aucune: toutes celles que j'ai testée ne pouvaient pas - je quitte illico-presto alors le système et ne le réouvre jamais... que BK fasse comme ça dans une version qui se veut purement anglophone ok! mais dans toute francisation qui se veut digne du nom, pas ok Wink !)

peut-être que dans une future 6.x, ça ira mieux Laughing

ne t'énerve pas trop! essaye de vivre avec ton système et de le supporter Mad ...

bien sûr qu'il y a des accumulations de trucs inutiles... de nos jours, avec le modernisme c'est souvent comme ça dans la vie!

salut
Back to top
View user's profile Send private message 
oui

Joined: 20 May 2005
Posts: 2139
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Sat 24 Nov 2012, 13:58    Post subject:  

bonsoir

ASRI éducation wrote:
Les utilisateurs n'ayant pas des besoins identiques, il est normal que des applications "inutiles" pour toi soient également indispensables pour d'autres.


si j'ai bien compris (j'avais d'abord cru comme toi, puis à la relecture) il ne critique que les liens

vers rien, vers le nirvana! des erreurs de codage, quoi!

salut
Back to top
View user's profile Send private message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Sat 24 Nov 2012, 14:35    Post subject:  

oui wrote:
rebonjour

Arefacti wrote:
partant de cela, et des clés usb de 32 Go (celle que je possède par exemple), il y a moins besoin de s'en faire pour la taille du toutou, même s'il se doit tout de même rester agile et svelte.
Re-donc : pourquoi trouve-t'on des menus remplis de trucs dont on n'a pas besoin (ou qui ne fonctionne pas : genre un raccourci vers..rien) MAIS qu'on ne trouve pas des locales Fr


tu négliges un détail, mais majeur ce détail:

puppy n'est pas DU TOUT un Linux comme les autres. il est fait pour fonctionner en RAM et il a fonctionné sur des ordis qui n'avaient que 64 Mo de RAM, puis 128 Mo etc.

et comme c'est une distro non-installée, il est horriblement difficile de la laisser demeurer accessible aux vieux ordis, ceux pour lesquels elle est construite et satisfaire aux espoirs de ceux qui ont des machines surpuissantes aptes à compiler tout un gros linux complet en quelques heures!

malheureusement, les ordis ont été construits en dépit du bon sens Rolling Eyes

ce n'est pas un pseudo disque dur USB de 32 Go coûtant (en Allemagne, chez vous, je ne sais pas) 18 Euro adapteur compris mais un RAM se basant sur les cartes USB miniatures, et pouvant donc aller jusqu'à 32 Go qu'il nous faudrait! on serait considérablement plus loin, à dépenses égales! mais ce n'est pas le cas:

    le RAM reste cher
    l'extension de toute manière problématique en l'absence du système d'exploitation approprié!


si avait tant de RAM, on pourrait comprimer des systèmes de fichiers allant jusqu'à 10 Go (il faut environ 3 fois la taille du système pour ne pas produire un "kernel panic") c'est à dire un Puppy de la taille d'un Debian en pleine installation et presque plein à craquer Laughing .

et comme la faculté de mémoire des cartes USB n'est pas volatile, il pourrait rester à demeure dans le RAM Rolling Eyes

ça non plus, tu ne peux pas l'avoir à l'époque actuelle.

la mémoire USB de 32 Go, au fait, n'est pas volatile, mais horriblement lente... au moins quand elle ne coûte que 18 Euro Wink .

donc Puppy doit se confiner dans une certaine zone de mémoire RAM pour être utilisable par (presque) tous en raison du RAM, quel que soit le prix auquel on brade de la mémoire USB!

les raccourcis qui ne mènent à rien ne sont souvent que le fruit d'erreurs de manips (j'en ai produit moi-même aussi dans mes remasteurisations Embarassed : on lie un lien et non le binaire ou le script lui-même, et pof, le nouveau lien n'est pas actif! par contre, la preuve de la malchance ou bévue reste au menu!)

les locales Fr? jusqu'à la 4.x, puppy n'était qu'anglophone!

on ne peut toujours pas sélectionner "us_intl" = int(ernationa)l ou au moins "us_accentos" qui, lui, est aussi actif en console non graphique, mais n'inclut que les principaux signes pour le français (idem pour les langues hispaniques, bien que son nom laissent penser que ...), mais pas tous, pour pouvoir écrire en français avec le clavier us, et ce, je crois, dans aucune francisation de puppy (ce pourquoi je n'en ai utilisé aucune: toutes celles que j'ai testée ne pouvaient pas - je quitte illico-presto alors le système et ne le réouvre jamais... que BK fasse comme ça dans une version qui se veut purement anglophone ok! mais dans toute francisation qui se veut digne du nom, pas ok Wink !)

peut-être que dans une future 6.x, ça ira mieux Laughing

ne t'énerve pas trop! essaye de vivre avec ton système et de le supporter Mad ...

bien sûr qu'il y a des accumulations de trucs inutiles... de nos jours, avec le modernisme c'est souvent comme ça dans la vie!

salut


bien, effectivement, je ne suis qu'un amateur et ce sont des détails pour vous qui m'agacent parce que c'est aussi que j'aime bien cette distribution.
On ne peut pas tous être programmeur ou autre métiers.
Puppy est "free" et s'adresse à tous.

J'aime bien le concept de la metropuppy qui me semble comporter très peu de programmes et ensuite : je rajoute ce que je veux..ou ce que je peux en fonction de mon matériel.
Par contre, la démarche inverse : "on en met plein et on enlève si on ne veut pas me parait juste..bizarre". Des gens ne trouveront pas ce qu'ils veulent, d'autres en trouveront trop, bref : on ne satisfera personne.

voilà, je crois que c'est slackware qui a une distribution (attention, je ne suis pas un pro, je peux me tromper sur des termes ou autres !) où on choisi par le web sur un portail ses logiciels et qui ensuite fourni l'image souhaitée.
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 4317
Location: Gatineau (Qc), Canada

PostPosted: Sat 24 Nov 2012, 17:12    Post subject:  

arefacti a dit
> (ça aussi c'est à peine voilé : sous puppy, y'a toujours un truc qui cloche, quand c'est pas ci, c'est ça..tu crois avoir trouvé la bonne et plouf !

Je contresigne. Cette situation est malheureuse, mais on n'y peut rien. C'est dans la démarche Puppy : BK propose un nouveau Puppy, et quelqu'un d'autre le développe plus avant, fait le travail de polissage et de finition.

On prend une version BK brute de Puppy seulement si on a le goût du risque et des surprises, et une certaine débrouillardise en Linux. D'après moi, BK est un "idea man" -- ses concepts ont fait de Puppy la distro la plus malléable et la plus accessible. Mais l'explorateur qu'il est ne s'asseoit jamais bien longtemps sur ses lauriers. Il a toujours autre chose à sonder, explorer. Il défriche le territoire, et un autre développeur bâtit le village.

Pour ce qui est d'obtenir une francisation (partielle) de ton MacPup e17, tu peux suivre la procédure suivante :

* télécharge le dernier paquet de francisation d'esmourguit
* déballe-le mais ne l'installe pas
* une fois déballé, trouve /[répertoire de déballage]/usr/share/locale/fr
* copie-le à /usr/share/locale. Réponds oui aux questions "voulez-vous écraser tel fichier".

T'auras pas les menus en français, mais un bon nombre de programmes vont s'afficher en v. française.

Je te dirais de faire la même chose concernant ce qu'il y a dans /usr/local,
mais je ne connais pas MacPup, je ne sais pas ce que les auteurs ont mis à cet endroit, alors te le suggérer pourrait détruire ton MacPup. Alors je ne te le suggères pas ! Smile

Pour compléter, voici un vieux truc pour localiser un Puppy. Ça force Puppy à utiliser la localisation. Crée-toi un fichier profile.local dans /etc et mets ceci dedans :

Code:
# /etc/profile.local
#
export LANG=fr_CA.utf8
export LANGUAGE=fr_CA.utf8
export LC_CTYPE="fr_CA.utf8"
export LC_NUMERIC="fr_CA.utf8"
export LC_TIME="fr_CA.utf8"
export LC_MONETARY="fr_CA.utf8"
export LC_MESSAGES="fr_CA.utf8"
export LC_PAPER="fr_CA.utf8"
export LC_NAME="fr_CA.utf8"
export LC_ADDRESS="fr_CA.utf8"
export LC_TELEPHONE="fr_CA.utf8"
export LC_MEASUREMENT="fr_CA.utf8"
export LC_IDENTIFICATION="fr_CA.utf8"
# export LC_ALL=""
#
## Autre forme :
#        LANG=FR_ca
#        export LANG
## De même pour les autres paramètres.
#
##
export CC=gcc
## Astuce de gposil. Ce paramètre crée une solution de réserve si un
## logiciel n'a pas de traduction.
#


Il va de soi que tu remplaces fr_CA par fr_FR, fr_BE, fr_CH, etc. selon ton pays. Aussi tu peux enlever la terminaison ".utf8" si tu n'utilises pas le codage de caractères UTF8.

J'aime bien tripoter les menus. Mais je me suis déjà envoyé les structures des menus icewm, aemenu, wmx et pekwm. Et en ce moment, j'ai plus faim pour un autre... Rolling Eyes

BR

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
oui

Joined: 20 May 2005
Posts: 2139
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Sat 24 Nov 2012, 18:57    Post subject:  

bonsoir

désolé de devoir contredire

musher0 wrote:
C'est dans la démarche Puppy : BK propose un nouveau Puppy, et quelqu'un d'autre le développe plus avant, fait le travail de polissage et de finition.

On prend une version BK brute de Puppy seulement si on a le goût du risque et des surprises, et une certaine débrouillardise en Linux.


mais l'un des critères de haute qualité pour moi sont les versions précisément faites personnellement par BK. je finis quasi toujours par n'utiliser quasiment que celles là, alors que j'en teste à foison!

le problème est plutôt la pullulation de versions parallèles et le désaccord latent sur les contenus! macpup en est un exemple magistral, car il s'est quasi détaché du lot et est en position 70 donc même un peu avant Slax (une distro modèle et innovatrice à mes yeux) à distrowatch.com ! alors que Puppy vient de perdre plusieurs places d'un coup (il était depuis longtemps dans les 10 meilleurs; il n'y est vraiment plus du tout!). donc cette pullulation, dispersion d'efforts, ne lui est pas réellement bénéfique:

on merdouille dans toutes les versions au lieu d'en avoir une bien d'équerre et les gens se lassent de tester et retester et continuer à tester! d'autant plus que beaucoup ont abandonné depuis longtemps leur vieille trottinette qui les avait fait venir à Puppy, et ne voient plus de sens à corriger en parallèle 36 versions n'ayant rigoureusement que la même valeur dans le meilleur des cas alors qu'entre temps ils en sont à rembourser l'achat du bien meilleur ordinateur dont ils ont fini par s'équiper Laughing !

et on ne peut pas se plier à la discipline d'une base vraiment commune de contenus (= bibliothèques communes, paramétrages communs = moins de sources d'erreurs)!
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 4317
Location: Gatineau (Qc), Canada

PostPosted: Sun 25 Nov 2012, 01:31    Post subject:  

Quote:
Quote:
musher0 wrote:
C'est dans la démarche Puppy : BK propose un nouveau Puppy, et quelqu'un d'autre le développe plus avant, fait le travail de polissage et de finition.

On prend une version BK brute de Puppy seulement si on a le goût du risque et des surprises, et une certaine débrouillardise en Linux.


mais l'un des critères de haute qualité pour moi sont les versions précisément faites personnellement par BK. je finis quasi toujours par n'utiliser quasiment que celles là, alors que j'en teste à foison!


Chacun son expérience, je suppose. Il y a une mêche (depuis les v. 4 à 4.21 et la quirky 1) que je n'utilise plus les Puppy de BK directement. Il y a toujours une emmerde importante dedans : est-ce moi, ma compréhension de Puppy, mes ordis ? J'ai cessé de perdre du temps à me le demander.

Mais je prends les dérivés créés par MU ou grumpywolfe (dans l'temps), 0micko ou playdayz, et vvrroouumm, tout fonctionne du premier coup.

Mon grain de sel.

PS. Et sois pas désolé de me contredire, t'as le droit constitutionnel de le faire !!! Laughing

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
musher0


Joined: 04 Jan 2009
Posts: 4317
Location: Gatineau (Qc), Canada

PostPosted: Sun 25 Nov 2012, 01:48    Post subject:  

Arefacti wrote:
Bonjour,
[...]
Mais sous macpup 511, que j'ai été obligé de prendre parce que les 528 et 528V2 refusaient de faire marcher ma carte son, je ne le retrouve même plus !
[...]


Au sujet de ton problème de son sous les lupu 5.2*, pelo a trouvé une solution :

http://murga-linux.com/puppy/viewtopic.php?t=80704

A+

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 2 [19 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1461s ][ Queries: 12 (0.0060s) ][ GZIP on ]